import Table from "cli-table3";
export class ListCommand {
    constructor({ l4bInstance, appConsole }) {
        this.l4bInstance = l4bInstance;
        this.console = appConsole;
    }
    async execute(opts) {
        const filters = {};
        if (opts.statuses) {
            filters.statuses = opts.statuses.split(",");
        }
        const adrs = await this.l4bInstance.searchAdrs(filters);
        const table = new Table({ head: ["Slug", "Status", "Package", "Title"] });
        adrs.forEach((adr) => {
            table.push([
                adr.slug,
                adr.status.toUpperCase(),
                adr.package || "",
                adr.title || "Untitled"
            ]);
        });
        this.console.table(table, opts.raw);
    }
}
