import { Table } from "cli-table3";
export interface Logger {
    debug(message: string): void;
    info(message: string): void;
    warn(message: string): void;
    error(message: string): void;
    fatal(message: string): void;
}
declare type ChoiceDefinition<V extends string> = {
    name: string;
    value: V;
    short?: string;
};
export interface Console extends Logger {
    success(message: string): void;
    print(message?: string): void;
    table(table: Table, raw?: boolean): void;
    askYesNoQuestion(question: string, defaultValue: boolean): Promise<boolean>;
    askInputQuestion(question: string, defaultValue?: string): Promise<string>;
    askListQuestion<V extends string>(question: string, choices: ChoiceDefinition<V>[], defaultValue?: V): Promise<V>;
}
export declare const appConsole: Console;
export {};
//# sourceMappingURL=console.d.ts.map